#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define	pdir	Socket
%define	pnam	GetAddrInfo
%include	/usr/lib/rpm/macros.perl
Summary:	Socket::GetAddrInfo - RFC 2553's getaddrinfo and getnameinfo functions
Summary(pl.UTF-8):	Socket::GetAddrInfo - funkcje getaddrinfo i getnameinfo zgodne z RFC 2553
Name:		perl-Socket-GetAddrInfo
Version:	0.22
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Socket/PEVANS/Socket-GetAddrInfo-%{version}.tar.gz
# Source0-md5:	54c0d3a08757a1eeb118c1a5f54f6e1b
URL:		http://search.cpan.org/dist/Socket-GetAddrInfo/
BuildRequires:	perl-ExtUtils-CChecker >= 0.06
%{?with_tests:BuildRequires:	perl-Test-Pod}
BuildRequires:	perl-devel >= 1:5.18.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# Core.pm impl requires Socket 1.93 (newer than in perl 5.12.3) - skip it, XS impl will be used instead
%define		_noautoreqfiles	%{perl_vendorarch}/Socket/GetAddrInfo/Core.pm

%description
The RFC 2553 functions getaddrinfo and getnameinfo provide an
abstracted way to convert between a pair of host name/service name and
socket addresses, or vice versa. getaddrinfo converts names into a set
of arguments to pass to the socket() and connect() syscalls, and
getnameinfo converts a socket address back into its host name/service
name pair.

%description -l pl.UTF-8
Zgodne z RFC 2553 funkcje getaddrinfo i getnameinfo udostępniają
abstrakcyjne metody do konwersji pary nazw hosta i usługi na adresy
gniazda i z powrotem. getaddrinfo konwertuje nazwy na zbiór argumentów
do przekazania funkcjom socket() i connect(), natomiast getnameinfo
przekształca adres gniazda z powrotem na parę nazw hosta i usługi.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	perl=%{__perl} \
	installdirs=vendor \
	destdir=$RPM_BUILD_ROOT
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT
./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/getaddrinfo
%attr(755,root,root) %{_bindir}/getnameinfo
%dir %{perl_vendorlib}/Socket
%{perl_vendorlib}/Socket/GetAddrInfo.pm
%dir %{perl_vendorlib}/Socket/GetAddrInfo
%{perl_vendorlib}/Socket/GetAddrInfo/*.pm
%{_mandir}/man1/getaddrinfo.1p*
%{_mandir}/man1/getnameinfo.1p*
%{_mandir}/man3/Socket::GetAddrInfo*.3pm*
%changelog
* Wed Jan 15 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Socket-GetAddrInfo.git;a=log;h=master

* Wed Jan 15 2014 Elan Ruusamäe <glen@delfi.ee> 89785ed
- force unversioned perl interpreter

* Fri Aug 30 2013 Jan Rękorajski <baggins@pld-linux.org> 4b199cf
- rebuild with perl 5.18.1
- release 2 (by relup.sh)

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> 06f0d6e
- up to 0.22
- package now noarch (no XS implementaion neccessary)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 122ed71
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> e34a369
- up to 0.21

* Sun Mar 06 2011 Jakub Bogusz <qboosh@pld-linux.org> 4c12615
- omit dependencies from Core impl (not satisfied by current stable perl, i.e. 5.12.3),
  so package is installable now and XS impl will be used

* Sun Mar 06 2011 Jakub Bogusz <qboosh@pld-linux.org> 5ec2100
- shortened description (internal details not needed here), added pl

* Fri Feb 25 2011 sparky <sparky@pld-linux.org> c94ae7a
- updated to: 0.20

* Fri Feb 25 2011 sparky <sparky@pld-linux.org> d94e94e
- BR: perl-Test-Pod

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7ff5005
- release 2

* Thu Mar 11 2010 amateja <amateja@pld-linux.org> 472026f
- updated to 0.15
- added BR perl-ExtUtils-CChecker

* Tue Oct 27 2009 amateja <amateja@pld-linux.org> b2f669d
- added missing %dirs in %files section
- release 2

* Tue Oct 27 2009 amateja <amateja@pld-linux.org> 31f2a64
- initial

